Skip to main content
GET
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events?from=2024-01-15T00:00:00Z&to=2024-01-22T00:00:00Z" \
  -H "Authorization: Bearer talq_your_environment_token_here"
{
  "success": true,
  "data": [
    {
      "id": "event-uuid-1",
      "calendar_id": "calendar-uuid-1",
      "title": "Demo with Acme",
      "start_at": "2024-01-15T15:00:00Z",
      "end_at": "2024-01-15T15:30:00Z",
      "status": "confirmed",
      "type": "meeting"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

List Calendar Events

List events in a single calendar, optionally filtered by time range.

Endpoint

GET /api/v1/calendars/{calendar_id}/events

Path Parameters

calendar_id
string
required
Calendar UUID.

Query Parameters

from
string
ISO 8601 lower bound for start_at.
to
string
ISO 8601 upper bound for end_at.
status
string
Filter by status: confirmed, tentative, cancelled.

Request Headers

Authorization
string
required
Bearer token. Format: Bearer talq_your_environment_token_here

Examples

curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events?from=2024-01-15T00:00:00Z&to=2024-01-22T00:00:00Z" \
  -H "Authorization: Bearer talq_your_environment_token_here"

Response

{
  "success": true,
  "data": [
    {
      "id": "event-uuid-1",
      "calendar_id": "calendar-uuid-1",
      "title": "Demo with Acme",
      "start_at": "2024-01-15T15:00:00Z",
      "end_at": "2024-01-15T15:30:00Z",
      "status": "confirmed",
      "type": "meeting"
    }
  ]
}